Skip to content
Proud to collaborate with Microsoft for Startups

docusign.chunked-uploads.put-chunked-uploads ​

This method checks the integrity of a chunked upload and then commits it. When this request is successful, the chunked upload is then ready to be referenced in other API calls. If the request is unsuccessful, ensure that you have uploaded all of the parts by using the Update method. Note: After you commit a chunked upload, it no longer accepts additional parts.

Commit a chunked upload.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—(Required) The external account number (int) or account ID GUID.
chunkeduploadidstringYes—(Required) The ID of the chunked upload to commit.
actionstringNo—(Required) You must use this query parameter with the value commit, which affirms the request to validate and prepare the chunked upload for use with other API calls.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—(Required) The external account number (int) or account ID GUID.
chunkeduploadidstringYes—(Required) The ID of the chunked upload to commit.
actionstringNo—(Required) You must use this query parameter with the value commit, which affirms the request to validate and prepare the chunked upload for use with other API calls.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/chunked_uploads/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/chunked_uploads/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.chunked-uploads.put-chunked-uploads",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "chunkeduploadid": "value"
  }
}